#include <stdio.h>
#include <string.h>

#include <coldmanInterfaceC.h>


int main(int argc, char **argv)
{
  char *pch;
  char path[512];
  int length;

  if(argc < 2)
  {
    printf("usage: test filename (in absolute path)\n");
    return 1;
  }

  if(argv[1][0]!='/')
  {
    printf("usage: test filename (in absolute path)\n");
    return 1;
  }

  pch= strrchr(argv[1], '/');
  length= pch-argv[1];

  strncpy(path, argv[1], length);
  path[length]='\0';
  printf("%s \n",path);

  coldmanEnvInit(path, pch);

  coldmanDisplayInit();


  coldmanLoadPointCloud("./cloud.pc");

  //coldmanRemoveScannedObstacles();

  while(1)
  {
    coldmanDisplayMainLoopEvent();
  }



  return 0;
}
